diff -ur nagios-2.9.original/base/checks.c nagios-2.9/base/checks.c
--- nagios-2.9.original/base/checks.c	2007-08-16 01:14:35.414647000 +0100
+++ nagios-2.9/base/checks.c	2007-08-16 01:19:56.624866840 +0100
@@ -694,7 +694,8 @@
 		/* calculate passive check latency */
 		if(queued_svc_msg.check_type==SERVICE_CHECK_PASSIVE){
 			gettimeofday(&tv,NULL);
-			temp_service->latency=(double)((double)(tv.tv_sec-queued_svc_msg.finish_time.tv_sec)+(double)((tv.tv_usec-queued_svc_msg.finish_time.tv_usec)/1000.0));
+			/* Altinity patch: Need to convert the tv_usec down to correct fractional value */
+			temp_service->latency=(double)((double)(tv.tv_sec-queued_svc_msg.finish_time.tv_sec)+(double)((tv.tv_usec-queued_svc_msg.finish_time.tv_usec)/1000.0)/1000.0);
 			if(temp_service->latency<0.0)
 				temp_service->latency=0.0;
 		        }
